Skip to main content
GET
Retrieve status

Supported products

Path Parameters

statusId
string<uuid>
required

The ID returned when the snapshot was requested (snapshotStatusId or the bulk snapshot id).

Response

successful operation

id
string<uuid>
required

A unique identifier for the snapshot, represented as a UUID.

initiatedAt
integer<int64>
required

When the snapshot was requested, in milliseconds since the Unix epoch.

status
enum<string>
required

The current status of the snapshot: PENDING, IN_PROGRESS, SUCCESS, FAILED, or EXPIRED.

Available options:
EXPIRED,
FAILED,
IN_PROGRESS,
PENDING,
SUCCESS
completedAt
integer<int64>

When the snapshot finished, in milliseconds since the Unix epoch. Absent until the snapshot finishes.

errorCode
enum<string>

An optional code indicating the error that occurred, if any. Possible values are 'TIMEOUT', 'VALIDATION_ERROR', 'INTERNAL_ERROR', and 'PERMISSION_DENIED'.

Available options:
INTERNAL_ERROR,
PERMISSION_DENIED,
TIMEOUT,
VALIDATION_ERROR
message
string

A descriptive message providing additional information about the snapshot status or error.

Last modified on November 9, 2026